#
# spec file for package mkvtoolnix
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mkvtoolnix
Version:        9.3.1
Release:        2.15
Summary:        Tools to Create, Alter, and Inspect Matroska Files
License:        GPL-2.0+
Group:          Productivity/Multimedia/Other
Url:            http://bunkus.org/videotools/mkvtoolnix/
#Git:           http://github.com/mbunkus/mkvtoolnix
Source:         https://mkvtoolnix.download/sources/mkvtoolnix-%{version}.tar.xz
# PATCH-OPENSUSE-FIX disable-update-check.patch -- Disable default update check
Patch0:         disable-update-check.patch
# PATCH-OPENSUSE-FIX mkvtoolnix-use-system-boost.patch -- Fix includes to use boost from system
Patch1:         mkvtoolnix-use-system-boost.patch
BuildRequires:  boost-devel >= 1.46
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  file-devel
BuildRequires:  gcc-c++ >= 4.8
BuildRequires:  gettext-tools
BuildRequires:  hicolor-icon-theme
BuildRequires:  libqt5-qtbase-devel >= 5.2.0
BuildRequires:  ruby >= 1.9
BuildRequires:  shared-mime-info
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libebml) >= 1.3.4
BuildRequires:  pkgconfig(libmatroska) >= 1.4.5
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(zlib)

%package gui
Summary:        Graphical user interface for mkvtoolnix utils
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}

%description
Tools to create and manipulate Matroska files (extensions .mkv and .mka), a new
container format for audio and video files. Includes command line tools
mkvextract, mkvmerge and mkvpropedit.

%description gui
This package contains the graphical user interface for the mkvtoolnix utils.
It includes mkvtoolnix-gui and also mkvinfo with its graphical user interface.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
# Make sure to use system libs:
rm -rf lib/{boost,libebml,libmatroskas}

%build
%configure
./drake %{?_smp_mflags} V=1

%install
./drake install DESTDIR=%{buildroot}
%find_lang %{name} --all-name
%fdupes %{buildroot}/%{_prefix}

%post gui
%icon_theme_cache_post
%mime_database_post
%desktop_database_post

%postun gui
%desktop_database_postun
%mime_database_postun
%icon_theme_cache_postun

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README.md
%doc examples
%{_bindir}/mkvextract
%{_bindir}/mkvmerge
%{_bindir}/mkvpropedit
%{_mandir}/man1/mkvextract.1%{ext_man}
%{_mandir}/man1/mkvmerge.1%{ext_man}
%{_mandir}/man1/mkvpropedit.1%{ext_man}
%doc %lang(ca) %{_mandir}/ca/man1/mkvextract.1%{ext_man}
%doc %lang(ca) %{_mandir}/ca/man1/mkvmerge.1%{ext_man}
%doc %lang(ca) %{_mandir}/ca/man1/mkvpropedit.1%{ext_man}
%doc %lang(de) %{_mandir}/de/man1/mkvextract.1%{ext_man}
%doc %lang(de) %{_mandir}/de/man1/mkvmerge.1%{ext_man}
%doc %lang(de) %{_mandir}/de/man1/mkvpropedit.1%{ext_man}
%doc %lang(es) %{_mandir}/es/man1/mkvextract.1%{ext_man}
%doc %lang(es) %{_mandir}/es/man1/mkvmerge.1%{ext_man}
%doc %lang(es) %{_mandir}/es/man1/mkvpropedit.1%{ext_man}
%doc %lang(ja) %{_mandir}/ja/man1/mkvextract.1%{ext_man}
%doc %lang(ja) %{_mandir}/ja/man1/mkvmerge.1%{ext_man}
%doc %lang(ja) %{_mandir}/ja/man1/mkvpropedit.1%{ext_man}
%doc %lang(ko) %{_mandir}/ko/man1/mkvextract.1%{ext_man}
%doc %lang(ko) %{_mandir}/ko/man1/mkvmerge.1%{ext_man}
%doc %lang(ko) %{_mandir}/ko/man1/mkvpropedit.1%{ext_man}
%doc %lang(nl) %{_mandir}/nl/man1/mkvextract.1%{ext_man}
%doc %lang(nl) %{_mandir}/nl/man1/mkvmerge.1%{ext_man}
%doc %lang(nl) %{_mandir}/nl/man1/mkvpropedit.1%{ext_man}
%doc %lang(pl) %{_mandir}/pl/man1/mkvextract.1%{ext_man}
%doc %lang(pl) %{_mandir}/pl/man1/mkvmerge.1%{ext_man}
%doc %lang(pl) %{_mandir}/pl/man1/mkvpropedit.1%{ext_man}
%doc %lang(uk) %{_mandir}/uk/man1/mkvextract.1%{ext_man}
%doc %lang(uk) %{_mandir}/uk/man1/mkvmerge.1%{ext_man}
%doc %lang(uk) %{_mandir}/uk/man1/mkvpropedit.1%{ext_man}
%doc %lang(zh_CN) %{_mandir}/zh_CN/man1/mkvextract.1%{ext_man}
%doc %lang(zh_CN) %{_mandir}/zh_CN/man1/mkvmerge.1%{ext_man}
%doc %lang(zh_CN) %{_mandir}/zh_CN/man1/mkvpropedit.1%{ext_man}
%doc %lang(ko) %dir %{_mandir}/ko
%doc %lang(ko) %dir %{_mandir}/ko/man1
%doc %lang(nl) %dir %{_mandir}/nl
%doc %lang(nl) %dir %{_mandir}/nl/man1
%doc %lang(pl) %dir %{_mandir}/pl
%doc %lang(pl) %dir %{_mandir}/pl/man1
%doc %lang(uk) %dir %{_mandir}/uk
%doc %lang(uk) %dir %{_mandir}/uk/man1
%doc %lang(zh_CN) %dir %{_mandir}/zh_CN
%doc %lang(zh_CN) %dir %{_mandir}/zh_CN/man1

%files gui
%defattr(-,root,root)
%{_bindir}/mkvinfo
%{_bindir}/mkvtoolnix-gui
%{_datadir}/applications/mkvinfo.desktop
%{_datadir}/applications/mkvtoolnix-gui.desktop
%{_datadir}/icons/hicolor/*/apps/mkvextract.png
%{_datadir}/icons/hicolor/*/apps/mkvinfo.png
%{_datadir}/icons/hicolor/*/apps/mkvmerge.png
%{_datadir}/icons/hicolor/*/apps/mkvpropedit.png
%{_datadir}/icons/hicolor/*/apps/mkvtoolnix-gui.png
%{_datadir}/mime/packages/mkvtoolnix.xml
%{_mandir}/man1/mkvinfo.1%{ext_man}
%{_mandir}/man1/mkvtoolnix-gui.1%{ext_man}
%doc %lang(ca) %{_mandir}/ca/man1/mkvinfo.1%{ext_man}
%doc %lang(ca) %{_mandir}/ca/man1/mkvtoolnix-gui.1%{ext_man}
%doc %lang(de) %{_mandir}/de/man1/mkvinfo.1%{ext_man}
%doc %lang(de) %{_mandir}/de/man1/mkvtoolnix-gui.1%{ext_man}
%doc %lang(es) %{_mandir}/es/man1/mkvinfo.1.gz
%doc %lang(es) %{_mandir}/es/man1/mkvtoolnix-gui.1%{ext_man}
%doc %lang(ja) %{_mandir}/ja/man1/mkvinfo.1%{ext_man}
%doc %lang(ja) %{_mandir}/ja/man1/mkvtoolnix-gui.1%{ext_man}
%doc %lang(ko) %{_mandir}/ko/man1/mkvinfo.1%{ext_man}
%doc %lang(ko) %{_mandir}/ko/man1/mkvtoolnix-gui.1%{ext_man}
%doc %lang(uk) %{_mandir}/uk/man1/mkvinfo.1%{ext_man}
%doc %lang(uk) %{_mandir}/uk/man1/mkvtoolnix-gui.1%{ext_man}
%doc %lang(nl) %{_mandir}/nl/man1/mkvinfo.1%{ext_man}
%doc %lang(nl) %{_mandir}/nl/man1/mkvtoolnix-gui.1%{ext_man}
%doc %lang(pl) %{_mandir}/pl/man1/mkvinfo.1%{ext_man}
%doc %lang(pl) %{_mandir}/pl/man1/mkvtoolnix-gui.1%{ext_man}
%doc %lang(zh_CN) %{_mandir}/zh_CN/man1/mkvinfo.1%{ext_man}
%doc %lang(zh_CN) %{_mandir}/zh_CN/man1/mkvtoolnix-gui.1%{ext_man}

%changelog
* Fri Jul 15 2016 rpm@fthiessen.de
- Update to new upstream release 9.3.1:
  * libebml >= 1.3.4 and libmatroska >= 1.4.5 are now required
  * A lot of bugfixes and new features, new mkv elements are
    supported, for a list of all changes, please refer to the
    changelog provided by the package.
* Tue May 31 2016 rpm@fthiessen.de
- Update to new upstream release 9.2.0:
  * mkvmerge: bug fix: the "interval" chapter generation mode was
  always creating one chapter too many.
  bug fix: if a certain number of chapters had been generated with
  - -generate-chapters then mkvmerge wasn't replacing the void
  placerholder with the actual chapters.
  bug fix: fixed detection of (E-)AC-3 in MPEG TS files with
  unusual stream types (e.g. 0x87) but with (E-)AC-3 PMT
  descriptors.
  * mkvmerge, mkvextract: bug fix: fixed handling of Big Endian PCM
  with a bit depth other than 16, 32 or 64 bits/sample. Other
  formats were using the Little Endian codec ID, but their content
  was actually not byte-swapped to match it. Now those other bit
  depths are byte-swapped to Little Endian, too.
  * MKVToolNix GUI: merge tool bug fix: the track column "default
  track in output" wasn't taking into account if the track had its
  "default track" flag set to "no" in the source file. This would
  result in the column showing "yes" in certain situations even
  though mkvmerge would assign "no".
  * Some other improvements, some enhancements and other bugfixes,
  please refer to the changelog file provides with the package.
* Mon Apr 25 2016 rpm@fthiessen.de
- Update to new upstream release 9.1.0:
  * mkvmerge: bug fix: AVC/h.264: fixed handling of interlaced frames
  with bottom field first.
  bug fix: mkvmerge will no longer abort reading a Matroska file
  with a structural error right before the first cluster.
  bug fix: the "text_subtitles" property of the JSON/verbose
  identification modes was always set to true for all subtitle
  tracks, even for those that aren't text subtitles (VobSub, PG).
  bug fix: the language code signaled in the MPEG TS PMT is taken
  into account when selecting the character encoding to use
  during decoding of the teletext subtitles, not just the
  "national character set" stored in the teletext page headers.
  * MKVToolNix GUI: bug fix: Fixed huge memory consumption in the
  JSON library by updating said JSON library.
  bug fix: In merge-tool: when adding playlists the GUI won't ask
  the user whether or not to scan if there's only a single
  playlist in that directory.
* Mon Mar 28 2016 rpm@fthiessen.de
- Update to new upstream release 9.0.1:
  * mkvmerge: bug fix: regression in v9.0.0: the text subtitle
  packetizer was wrongfully assuming an encoding of UTF-8 if none
  was given instead of assuming the system's encoding. Fixes #1639.
  bug fix: if too many chapters had been generated with
  - -generate-chapters then mkvmerge created a bogus entry in the
  meta seek element and did not actually write the chapters to the
  file.
  bug fix: the DTS packetizer was setting the number of
  channels wrong sometimes when reducing to the DTS core. It was
  using the number of channels including the extensions instead of
  the channels of the core only.
* Mon Mar 28 2016 jengelh@inai.de
- Update to new upstream release 9.0.0
  * mkvmerge: bug fix: fixed two more issues in the conversion of
  teletext subtitles to SRT subtitles.
  * mkvmerge: MP4/QuickTime reader: audio tracks with the FourCC
  "lpcm" are muxed as A_PCM/INT/LIT instead of A_QUICKTIME.
  * mkvmerge: bug fix: MP4/QuickTime reader: audio tracks can contain
  two instances of certain header fields in the STSD atom;
  mkvmerge now uses the v2 structure over v0, if present.
  * mkvextract: new feature: implemented the extraction of Big
  Endian PCM (codec ID A_PCM/INT/BIG) to WAV files. The content will
  be byte-swapped into Little Endian PCM in the process.
  * mkvmerge: enhancement: Big Endian PCM tracks will now be
  byte-swapped into Little Endian PCM, and the codec ID
  A_PCM/INT/LIT will be used, as many players do not support BE PCM
  inside MKVs.
* Mon Feb 22 2016 jengelh@inai.de
- Update to new upstream release 8.9.0
  * gui: the default font size adjustment has been. Deactivated for
  the time being as it causes problems on high DPI Displays.
  * gui: ampersands in file names were shown as keyboard shortcuts
  in tab titles in various tools
  * gui: add ability (menu entry) for removing chapters from an
  existing Matroska file.
  * Polish translation provided
* Sun Jan 10 2016 rpm@fthiessen.de
- Update to upstream release 8.8.0:
  * MKVToolNix GUI: bug fix: when using one of the
    "select all tracks (of type…)" actions the "properties" column
    didn’t show the selection.
    bug fix: the paths used in the variables and the executable are
    converted to the platforms native path separators.
  * mkvmerge: bug fix: fixed a mis-detection of an MPEG-2 video
    elementary stream as a TrueHD file which then caused a
    segmentation fault.
    bug fix: Matroska attachments with the same name, size and MIME
    type were not output during file identification.
    bug fix: fixed TrueHD detection both as raw streams as well as
    inside other contains if the stream does not start with a
    TrueHD sync frame.
  * Some GUI enhancements and new features, see full changelog:
    https://bunkus.org/videotools/mkvtoolnix/doc/ChangeLog
- some spec file cleanup
* Thu Jan  7 2016 rpm@fthiessen.de
- Update to upstream release 8.7.0:
  * all: reversion of a change: several ISO 639-2 codes of languages
    that are very old and not spoken anymore have been re-added
    due to feedback from users who did have a use for such codes.
    reversion of a change: all of the tools will write a byte-order
    mark (BOM) to text files encoded any of the UTF-* schemes again.
  * mkvmerge: bug fix: fixed the key frame detection for VP9 video
    tracks.
    bug fix: chapters were output as both "chapters" and
    "track_tags" in JSON identification mode.
    bug fix: AAC with low sampling frequencies was sometimes
    mis-detected with the wrong profile preventing appending it
    to other AAC tracks.
    bug fix: the progress calculation was sometimes outputting
    negative numbers when appending Matroska files whose timestamps
    don’t start at 0.
    bug fix: fixed the decisions whether or not to write the last
    frame of a track as a BlockGroup or a SimpleBlock and whether
    or not to write a block duration for that frame.
    bug fix: the Matroska reader now uses TrueHD-specific code
    when reading Matroska files. This can fix things like wrong
    frame type flags.
  * MKVToolNix GUI: bug fix: relative file names given on the
    command line were interpreted as being relative to the user’s
    home directory.
    bug fix: the "split mode" drop-down box got reset to
    "do not split" each time the preferences dialog was closed
    with the "OK" button
  * And a lot more enhancements and bugfixes, see full changelog:
    https://bunkus.org/videotools/mkvtoolnix/doc/ChangeLog
* Sat Dec  5 2015 rpm@fthiessen.de
- Update to upstream release 8.6.1:
  * all: MKVToolNix now requires gcc 4.8.0 or later or clang 3.4 or
    later for compilation.
  change: none of the tools will write a byte-order mark (BOM) to
  text files encoded any of the UTF-* schemes anymore.
  * mkvmerge: bug fix: the VC-1 handlig code was duplicating the
    first sequence headers with each mux.
  enhancement: added JSON as an output format for file type
    identification.
  bug fix: fixed two issues causing mkvmerge to write invalid data
    when updating track headers.
  bug fix: the change to do a deeper file analysis if no seek head
    was found was causing huge increases in file type detection time
    as popular tools like x264 don’t write seek heads. The way
    elements at the end are searched has been changed to only scan
    the last 5 MB of the file instead of iterating over every
    level 1 element from the beginning of the file.
  * MKVToolNix GUI: bug fix: the options for linking to the
    next/previous segment UID were wrong.
  bug fix: the program changes its working directory to the
    user’s profile/home directory on startup allowing the removal of
    its installation folder even if a program started by the GUI
    (e.g. a web browser) is still running.
  bug fix: in certain situations the modified file would not contain
    a seek head before the first cluster anymore resulting in most
    players not finding elements such as attachments or the index
    located at the end of the file anymore.
  * Some other enhancements and bugfixes, see full changelog:
  https://bunkus.org/videotools/mkvtoolnix/doc/ChangeLog
- Split package into commandline- (base) and gui-package,
  reduces overhead when installing on a headless system.
- Replaced sed in prep with disable-update-check.patch to disable
  update check on startup (not needed with a package system).
- Added mkvtoolnix-use-system-boost.patch from fedora to fix includes
  when building against boost from system.
* Thu Nov  5 2015 rpm@fthiessen.de
- Update to upstream release 8.5.2:
  * mkvmerge: bug fix: fixed an endless loop when updating track
    headers caused by the fix for "Re-rendering track headers.
  bug fix: mkvmerge no longer creates a "next segment UID" field
    in the last file when splitting and segment linking is active.
  bug fix: fixed the values of the "previous/next segment UID"
    elements when splitting by parts with segment linking enabled.
  * MKVToolNix GUI: bug fix: the file/track columns aren't resized
    to fit their content when expanding/collapsing tree node
    anymore. Such expansion also happened when moving entries with
    the "move up/down" buttons.
* Thu Oct 22 2015 rpm@fthiessen.de
- Update to upstream release 8.5.1 (security update):
  * build system: libEBML v1.3.3 and libMatroska v1.4.4 are now
  required due to important fixes for invalid memory accesses in
  those two releases. The copies included in the MKVToolNix source
  code have been updated to those releases as well.
  * MKVToolNix GUI: bug fix: the "save file" dialogs did not have
  the currently entered file name pre-selected anymore.
  bug fix: fixed a crash when loading corrupted
  job settings.
  bug fix (Linux): the function "open folder" was
  inserting a superfluous leading slash in the directory name.
  * mkvmerge: bug fix: updating the track headers wasn't working in
  some rare cases (corresponding error message "Re-rendering track
  headers: data_size != 0 not implemented yet").
- Disable default setting for checking for updates (nonsense on a
  package system)
* Sun Oct 18 2015 rpm@fthiessen.de
- Updated to version 8.5.0:
  * Modified .spec to also install translated manpages.
  * A lot of small bugfixes and enhancements.
  * MKVToolNix GUI: merge tool bug fix: the cropping parameters were
  not converted into parameters for mkvmerge at all.
  * mkvmerge: enhancement: the verbose identification for MP4 files
  will now derive basic audio parameters of MP3 and AC3 tracks
  from the bitstream instead of relying on the values in the
  track headers.
  bug fix: PCM tracks: if the number of samples per
  packet varies then no default duration will be written.
  * all: several ISO 639-2 codes of languages that are very old and
  not spoken anymore have been removed.
  new feature: added a Catalan translation of
  the man pages.
* Tue Sep 22 2015 rpm@fthiessen.de
- Updated to version 8.4.0:
  * MMG has been removed.
  * Dropped wxWidgets dependencies (new gui uses QT).
  * A lot of bugfixes and enhancements of the gui and mkvmerge
  (see https://bunkus.org/videotools/mkvtoolnix/doc/ChangeLog).
  * mkvmerge: bug fix: calculating of delay for audio garbage data
  got fixed.
  * all: bug fix: parsing of strings containing negative values or
  timecodes was broken on 32-but architectures.
  * mkvmerge: bug fix: number of channels and the sample rate
  reported for DTS in MPEG streams was 0.
* Sun Aug 16 2015 jengelh@inai.de
- Update to new upstream release 8.3.0
  * many small GUI bug fixes and improvements
  * mkvmerge: bug fix: fixed handling of MPEG transport streams
  where all PATs and PMTs have CRC errors.
  * mkvmerge: bug fix: the MPEG-1/2 video code was causing an
  illegal memory access under certain conditions.
  * mkvmerge: bug fix: fixed recognition of (E)AC3 audio tracks
  using a FourCC of "ec-3"
  * mkvmerge: bug fix: fixed codec identification for MP2 audio read
  from MPEG PS/TS.
  * mkvmerge: bug fix: fixed key frame designation for video tracks
  in MP4 DASH files.
* Wed Aug  5 2015 rpm@fthiessen.de
- Update to version 8.2.0:
  * Fix mkvmerge codec identification for MP2 audio.
  A LOT more bugfixes especially in the GUI. See ChangeLog:
  https://bunkus.org/videotools/mkvtoolnix/doc/ChangeLog
* Fri May 29 2015 dimstar@opensuse.org
- Update to version 7.9.0:
  * Fix build with boost 1.58.0.
  * build system: configure will now check for Qt by default.
  * A couple of important bugs have been fixed, e.g. a very old bug
  in handling MPEG-1/2 video preventing the detection of such
  tracks; if --sync was used at the same time as --default-duration
  then --sync was ignored; mkvinfo’s exit codes were wrong (this
  may trip up frontends using mkvinfo!); handling of E-AC3 in MPEG
  transport stream in certain situations.
* Sat Mar 28 2015 jengelh@inai.de
- Update to new upstream release 7.8.0
  * mkvmerge: Fixed recognition of E-AC3 audio tracks in MPEG TS
  streams if they use the type ID 0xa1 (and the same for DTS tracks
  stored with type ID 0xa2).
  * mkvmerge: new feature: mkvmerge will now recognize TrueHD tracks
  inside MPEG transport streams that contain an AC3 core as
  consisting of two tracks.
  * mkvmerge: new feature: mkvmerge will now recognize TrueHD+AC3
  files as consisting of two tracks.
* Tue Feb 10 2015 opensuse@sukimashita.com
- Update to new upstream release 7.6.0
  * all programs: bug fix: Since release 7.0.0 the wrong exit code
  was used when warnings were finished (0 instead of 1).
  * mkvmerge: bug fix: Appending chapters with the same chapter UID
  was dropping all sub-chapters from the one of the two merged
  chapters. Now the sub-chapters are merged recursively as well.
  * mkvmerge: bug fix: The wrong Codec ID was written when reading
  PCM tracks from Matroska files in Big Endian byte order.
  * all: new feature: added a Serbian (Latin) translation of the
  programs by Danko (see AUTHORS).
  * mkvmerge: bug fix: If splitting was active and AC3 tracks read
  from Matroska files were shorter than a split point then the
  following output file would contain an AC3 packet with the
  timecode of 00:00:00 somewhere in the middle.
  * mmg: bug fix: If a chapter track from a Matroska file is
  selected then the »language« drop-down box is disabled.
  * mkvmerge: bug fix: On Windows the end-of-file-reached status
  wasn't tracked correctly for certain file operations. This
  could manifest in e.g. mkvmerge not finding tracks in MPEG
  transport streams when probing MPLS playlist files.
  * mmg: bug fix: When scanning for play lists the window presenting
  the results listed some properties in an unescaped way (e.g.
  »\s« instead of spaces).
  * mmg: bug fix: When adding MPLS files mmg was only offering to
  scan for more playlists if there were at least two additional
  MPLS files present. This has been fixed to one MPLS file (in
  addition to the one just added).
* Sun Feb  1 2015 jengelh@inai.de
- Update to new upstream release 7.5.0
  * mkvmerge: Fixed reading MPEG transport streams in which
  all PATs and/or PMTs have CRC errors.
  * mkvmerge: Implemented support for MP4 DASH files.
  * mkvmerge: Implemented reading MPEG-H p2/HEVC video
  tracks from MP4 files.
  * mkvmerge: Implemented support for AAC in LOAS/LATM multiplex if
  read from MPEG transport streams or raw LOAS/LATM AAC files.
  * mkvmerge: Added support for recognizing H.265/HEVC video tracks
  in MPEG transport streams.
* Sat Dec 13 2014 coolo@suse.com
- update to upstream release 7.4.0
  * Implements support for PCM in MPEG program (.vob – DVDs) and
  transport streams (.ts, .m2ts – Blu-rays, television broadcasts)
  as well as for teletext subtitles in MPEG tranport streams.
  Apart from that a lot of work has gone into the new GUI.
  * Bugfixes for muxing HEVC or teletext subtitles
* Sun Oct  5 2014 jengelh@inai.de
- Update to new upstream release 7.2.0
  * Fixed calculating AC3 delay from garbage data when reading AC3
  from AVIs.
  * SSA/ASS files with sections after "[Events]" in their
  CodecPrivate are now handled correctly.
  * Fixed handling certain edit list types in MP4 files that are used
  for positive track delays.
- Drop extra %%attr, default permissions are already good
- Switch to wxWidgets 3 for building
* Wed Aug  6 2014 jengelh@inai.de
- Update to ne wupstream release 7.1.0
  * mkvextract: bug fix: Fixed a crash when opening damaged/invalid
  Matroska files in all extraction modes.
  * mkvmerge: bug fix: Fixed wrong default duration for PCM audio
  tracks if the source file provides timecodes for that track.
  * mkvmerge: bug fix: track statistics tags are not written for
  WebM files anymore as the WebM specification doesn't allow tags.
  * Fixed file seeking code for "seek relative to end of file" case.
* Fri Jul 11 2014 reddwarf@opensuse.org
- Update to 7.0.0
  * mkvmkerge will now write certain track-specific statistics (such as bit rate) as tags.
* Mon Apr 21 2014 i@marguerite.su
- update version 6.9.1
  * mkvmerge: bug fix: fixed huge memory usage when probing files
  (it was reading the whole file into memory for that).
* Tue Mar  4 2014 reddwarf@opensuse.org
- Update to 6.8.0
  * Add support for h.265/HEVC video
* Thu Jan  9 2014 reddwarf@opensuse.org
- Update to 6.7.0
  * Tons of bug fixes all over the place
  * Reading from an MPLS playlist file is now done as if the second
    and following files referenced in that playlist had been appended
    to the first file from that playlist
  * A couple of enhancements.
  * Ruby 1.9.x is now required for building
* Mon Dec  2 2013 reddwarf@opensuse.org
- Update to 6.6.0
  * mmg: new feature: implemented drag & drop in the chapter
  * mmg: bug fix: fixed an assertion in wxLogMessage() due to wrong
    format string/argument data types caused by changes in wxWidgets
    3.0.0. See Debian bug #730273.
  * mkvmerge: bug fix: improved resilience against MP4 files with
    obviously wrong entries in the 'sample size table' (STSZ) atom.
  * mkvmerge: bug fix: improved VC1 frame type detection so that it
    works even for streams without entry points.
  * mkvinfo: bug fix: at most the lower 32bits of the track numbers
    and track UIDs elements were output, even if the element in the
    file used more bits. Fixes #935.
  * mkvmerge: bug fix: fixed accessing invalid memory in the memory
    handling core routines. May be triggered by the code to remove
    filler NALUs introduced in v6.5.0. Fixes #931.
  * mmg: bug fix: fixed the tracks list box on the input tab being
    invisible/0 pixels high with wxWidgets 2.9.x/3.x.
  * all: integrated the Portuguese translation. Although the
    translation files themselves had been added back in 6.3.0 that
    translation wasn't available for selection due to forgetfulness on
    my part.
  * mkvmerge: bug fix: The file detection code in the MPEG
    elementary stream reader had a logic error. Fixes #928. In
    practice this logic error didn't have any consequence.
* Sat Nov  2 2013 reddwarf@opensuse.org
- Update to 6.5.0
  * Opus support has been finalized both in muxing and extraction
  * Support for the VP9 video codec has been added
  * A German translation for the man pages has been added
  * configure can detect Boost installed in multiarch directories
  * Several bugs have been fixed here and there
* Mon Jul  1 2013 jengelh@inai.de
- Update to new upstream release 6.3.0
  * MPEG programs streams with broken PES structures are now handled
  better.
  * WAV extraction and FLV reading has been fixed for certain
  edge cases.
  * --fix-bitsteam-timing-information has been fixed for framed
  AVC/h.264 sources.
  * Using --default-duration while appending AVC/h.264 tracks has
  been fixed.
  * A Portuguese translation has been added.
* Mon May  6 2013 reddwarf@opensuse.org
- Update to 6.2.0
  * Memory usage has been reduced severely
* Sun Mar 31 2013 schwab@suse.de
- Override boost library directory to handle all lib64 platforms
* Sun Mar 24 2013 reddwarf@opensuse.org
- Use external libebml and libmatroska versions
- The minimum gcc version is 4.7
* Mon Mar 18 2013 reddwarf@opensuse.org
- Update to 6.1.0
  * Support for Blu-ray playlists (MPLS files)
  * A couple of bugfixes
  * New reader for the FlashVideo file format (.flv -- yes, for those YouTube videos)
  * Splitting by frame/field numbers
  * Splitting by chapter numbers,
  * Splitting into parts by frame/field numbers
  * Reading VobSubs from MP4 files
  * Save additional command line options as default options in mmg
  * Header removal compression has been turned off by default in both mkvmerge and mmg
* Tue Jan  8 2013 reddwarf@opensuse.org
- Update to 5.9.0
  + Fixes several bugs
  + Writes the newly introduced elements "cue duration" and "cue
    relative position" which provide more detailed information for
    seeking
- Use internal versions of libebml and libmatroska until the needed
  versions are released
* Mon Sep  3 2012 reddwarf@opensuse.org
- Update to 5.8.0
  + Adds a couple of new features
  + Fixes a few bugs; most prominently mmg not displaying mkvmerge's last couple of messages.
* Tue Jul 10 2012 reddwarf@opensuse.org
- Update to 5.7.0
  + Fixed the excessive CPU usage during muxing
* Sun May 27 2012 reddwarf@opensuse.org
- Update to 5.6.0
  + It fixes a couple of important issues with the new "--split
    parts:" functionality
  + Other bugs were fixed as well
  + A Polish translation of the programs has been added
  + A Spanish translation of mmg's guide has been added
* Wed May 16 2012 reddwarf@opensuse.org
- Now rake broke. Going back to drake.
* Thu Apr 26 2012 reddwarf@opensuse.org
- Use system version of rake instead of the included drake. Fixes
  build in Factory/12.2.
* Sun Apr  8 2012 reddwarf@opensuse.org
- Update to 5.5.0
  * Tag, chapter and segment info XML files supporting more of the
    Matroska spec.
  * A new mode for "--split" has been implemented that let's you
    keep certain ranges and discard others without the need for
    temporary files or multiple muxing passes.
- Remove support for openSUSE < 11.4.
- Stop using obsoleted %%suse_update_desktop_file.
* Sat Mar 10 2012 reddwarf@opensuse.org
- Update to 5.4.0
  * The AVC/h.264 timecode assignment code has been completely
    rewritten. Users do not have to specify the default
    duration/FPS for such tracks anymore safe for the rarest cases.
  * Tons of bug fixes.
  * Improvements regarding file type recognition.
  * Complete re-write of the (E)AC3 parsing code.
* Mon Mar  5 2012 reddwarf@opensuse.org
- Update to 5.3.0
  * Fix DTS handling.
  * Fix (E)AC3 detection.
  * Fix invalid memory access with certain broken files.
  * mkvmerge's verbose identification mode has been extended with
    a couple more fields.
  * mkvmerge can treat several separate input files as if they
    were concatenated into a single large file.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sun Dec 18 2011 reddwarf@opensuse.org
- Update to 5.2.0
  - Fixes a lot of smaller issues.
  - Performance enhancements.
* Tue Nov 29 2011 reddwarf@opensuse.org
- Update to 5.1.0
  - Lot of small bug fixes.
  - Greatly improves support for MPEG transport streams.
* Sun Oct 16 2011 reddwarf@opensuse.org
- Update to 5.0.1
  - Implemented support for yet another way of storing EAC3 and DTS
    in MPEG transport streams.
  - bug fix: Track information was not reset when opening more than
    one file in the GUI.
  - bug fix: The PGS subtitle output module was not outputting any
    packet in certain cases due to uninitialized variables.
  - bug fix: Fixed mkvmerge not finding any track in TS streams
    whose first PMT packet could not be parsed (e.g. invalid CRC).
  - bug fix: Fixed detection of TS streams that only contain one
    PAT or PMT packet within the first few KB but no others within
    the first 10 MB.
* Mon Sep 26 2011 reddwarf@opensuse.org
- Update to 5.0.0
  - Lot of small bug fixes.
  - Support for MPEG transport streams.
- Remove mkvtoolnix-4.9.1-shared_libs.patch. A better fix was
  applied upstream.
- Use pkgconfig(XX) BuildRequires when available.
- Remove obsoleted BuildRoot and %%clean sections.
* Sat Jul 23 2011 reddwarf@opensuse.org
- Update to 4.9.1
  - It's mostly a bug fix release with few new features.
- Stop source service usage: Factory is moving to a slightly
  different approch to verify source authenticity. Consequently,
  specify a full URL as Source.
* Thu Mar 10 2011 reddwarf@opensuse.org
- Update to 4.6.0
  - It contains a couple of bug fixes as well as a few new
    features.
  - New translation available, Turkish.
* Tue Feb  1 2011 reddwarf@opensuse.org
- Update to 4.5.0
  - It contains a lot of bug fixes as well as a couple of new
    features and a few enhancements
* Mon Jan 17 2011 reddwarf@opensuse.org
- Fix pre-11.4 build broken in previous commit
- Use new icons/MIME/desktop macros in >= 11.4
* Wed Dec 29 2010 sbrabec@suse.cz
- Compile with wxWidgets (STL variant).
* Wed Nov 10 2010 reddwarf@opensuse.org
- Own nl and zh_CN man dirs in >11.2
* Tue Nov  2 2010 reddwarf@opensuse.org
- Update to 4.4.0
  - It contains a lot of bug fixes and a few enhancements but no
    major new features
- Drop mkvtoolnix-4.3.0-aliasing.patch
- Update mkvtoolnix-4.4.0-guide_install.patch
* Sun Sep  5 2010 reddwarf@opensuse.org
- Update to 4.3.0
  - It contains a lot of bug fixes and a few enhancements but no
    major new features
- mkvmerge-gui symlink is not available anymore, use mmg instead
* Thu Jul 29 2010 reddwarf@opensuse.org
- Update to 4.2.0
  - It contains a lot of bug fixes and a few enhancements but no
    major new features
- Revert last commit since broke openSUSE 11.1 build
* Sun Jul 11 2010 jengelh@medozas.de
- Rerun autoreconf to retrieve ax_boost_base.m4 where libdir
  detection is fixed
- Use %%_smp_mflags
* Sat Jul  3 2010 cmorve69@yahoo.es
- Update to 4.1.1
  - Fix serious bug introduced in v4.1.0. If causes mkvmerge to
    crash with default option in various circumstances, especially
    when handling MPEG-4 part 2 video tracks.
* Thu Jul  1 2010 cmorve69@yahoo.es
- Update to 4.1.0
  - A couple of bug fixes and enhancements especially in
    combination with WebM.
  - Full support for PGS/SUP subtitles.
  - New and improved translations.
* Sat Jun  5 2010 cmorve69@yahoo.es
- Update to 4.0.0
  - Full support for the WebM variant of the Matroska container
    format, VP8 video tracks, the IVF container format
  - Several important bug fixes and a few new features
  - New translations
* Fri Mar 26 2010 cmorve69@yahoo.es
- Update to version 3.3.0:
  Several important bug fixes and a few new features.
* Sat Feb 13 2010 cmorve69@yahoo.es
- Update to version 3.2.0:
  The usual mix of bug fixes and smaller enhancements.
* Fri Jan 22 2010 cmorve69@yahoo.es
- Update to version 3.1.0:
  The usual mix of bug fixes and smaller enhancements.
* Mon Jan 11 2010 per@osbeck.com
- Add patch to fix synch issues with theora 1.1
* Sun Dec 13 2009 cmorve69@yahoo.es
- Update to version 3.0.0:
  + Fix for mkvpropedit and mmg: editing headers of files created
    by HandBrake would cause crashes and/or corrupted files after
    saving.
* Fri Dec  4 2009 cmorve69@yahoo.es
- Remove dates from binaries so builds are reproducible
* Thu Nov 26 2009 cmorve69@yahoo.es
- Update to version 2.9.9:
  + bug fixes (see ChangeLog)
  + added a new program 'mkvpropedit'
* Sat Aug 22 2009 cmorve69@yahoo.es
- Remove unneeded scriptlets
* Fri Aug 21 2009 cmorve69@yahoo.es
- Update to version 2.9.8:
  + bug fixes (see ChangeLog)
  + speed-ups for large files
* Thu Jul  2 2009 seife@suse.de
- update to v2.9.7:
  mostly bug fixes and two prominent changes to mmg:
  - chapters and tags are now handled in the same way that tracks
    are: they can be checked individually, and properties like
    charset can be set for each entry
  - it is now possible to change the list of "common" languages
    that appear at the top of language drop down boxes
* Sun Jun  7 2009 seife@suse.de
- update to v2.9.5:
  The usual mix of bug fixes, new features and smaller
  enhancements. Also some of the command line options have been
  renamed (check the ChangeLog for details). The old versions are
  still working for the time being, and users of mmg aren't
  affected by this change anyway.
* Mon May 11 2009 seife@suse.de
- update to v2.8.0:
  - a lot of smaller and larger bug fixes (see ChangeLog)
  - new translation to simplified Chinese
* Mon Apr 20 2009 seife@suse.de
- update to v2.7.0
  - support for more audio formats
  - localization fixes
  - various bugfixes in mmg and mkvmerge, see ChangeLog
* Wed Mar 25 2009 seife@suse.de
- update to v2.6.0:
  - add a header editor for existing Matroska files
  - add japanese translation
  - a couple of fixes daeling with charset and translation issues
* Tue Mar 17 2009 seife@suse.de
- update to v2.5.3:
  - localization fixes
  - mkvmerge segfault fix
  - mkvmerge attachment bugfix
* Thu Mar  5 2009 seife@suse.de
- update to v2.5.2:
  - fix locale detection
  - fixes for wxWidgets 2.8.0
  - mkvinfo's GUI is now translatable
  - some mmg bug fixes
* Mon Feb 23 2009 seife@suse.de
- update to v2.5.1:
  - made most of the programs translatable
  bug fixes in mkvextract:
  - time code extraction
  bug fixes in mmg:
  - possible crash in the chapter editor
  - another crash fixed
  bug fixes in mkvmerge:
  - AAC file detection fix
* Sun Jan 18 2009 seife@suse.de
- update to v2.4.2:
  bug fixes in mkvmerge:
  - subtitles in multiple subtitle files could have wrong timestamp
  - OGM files were reported as having arbitrary display size
  - hanlding of matroska files containing attachments was faulty
  - the parser for the simple chapter format could not handle more
    than 100 chapters
  - crash when using "--engage native_mpeg4" (segfault) fixed
  bug fixes in mmg:
  - the commands "Save command line" and "Create option file" did
    not work correctly.
  for other enhancements, please see ChangeLog
* Fri Dec  5 2008 seife@suse.de
- update to v2.4.1:
  - lots of mmg and mkvmerge bugfixes, please see ChangeLog
  mkvmerge new features:
  - add support fro reading SRT and SSA/ASS subtitles from AVI
* Mon Oct 13 2008 seife@suse.de
- update to v2.4.0
  - lots of mmg and mkvmerge bugfixes, please see ChangeLog
  mkvmerge new features:
  - add support for Dirac video tracks
  - add support for muxing VC1 video tracks from MPEG PS or raw
    VC1 elementary streams
  - add support for 7.1 channel EAC3 files
  mkvextract new features:
  - support for extracting Theora video tracks into Ogg files
  - handle SimpleBlocks for timecode extraction
* Tue Sep 16 2008 seife@suse.de
- update to v2.3.9
  - lots of stuff, please see the ChangeLog file
  - lots of bugfixes in mkvmerge
  - switched from PCRE to Boost's RE library
  mkvmerge new features:
  - support for DTS-HD
  - improved support for WAV-files greater than 4G
  - improved error messages
  - support for OGG kate subtitles
  - support for PCM tracks with floating point numbers
  - support for Vorbis in AVI
* Sat Aug 30 2008 seife@suse.de
- add libexpat-devel to buildrequires
- add %%debug_package for buildservice build
* Thu Mar  6 2008 seife@suse.de
- fix buildservice build (missing pcre-devel buildrequires)
* Wed Mar  5 2008 seife@suse.de
- update to v2.2.0
  - lots of stuff, please see the ChangeLog file
  - most notable, some major bug fixes (lots of crashes should be
    gone) and some new features
- gcc-4.3 fixes incorporated upstream
- remove unneeded build dependencies
* Fri Oct 26 2007 seife@suse.de
- update to v2.1.0
  - lots of stuff, please see the ChangeLog file
  - most notable, support for EAC3 and AVC tracks
  - a few memleaks fixed in mkvmerge
- fix build with gcc43
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Sat May 26 2007 ro@suse.de
- added libmatroska-devel to buildreq
* Thu Feb 22 2007 seife@suse.de
- update to v2.0.2
  - lots of stuff, please see the ChangeLog file
  - mkvmerge-gui is now called "mmg" as in the upstream version
* Tue Nov  7 2006 seife@suse.de
- update to v1.7.0
  - mkvmerge: Added support for MIME type detection via libmagic
  - mkvmerge: bug fix: Theora headers were not handled correctly
  - mkvmerge: bug fix: WavPack reader was broken on 64bit systems
  - mkvmerge: bug fix: Theora timecode handling was broken
  - mmg: 'adjust timecodes' function accepts timecodes like
  'XXXXXunit' with 'unit' being 'ms', 'us', 'ns' or 's'.
  - mkvmerge: bug fix: Quicktime/MP4 reader: Added support for
  version 1 media headers ('mdhd' atom) with 64bit fields. Fixed
  the duration of the last packet passed downstream. Fixed overflow
  issues during re-scaling from the Quicktime/MP4's time scale to
  nano seconds used by mkvmerge.
  - mkvmerge: add support for the "Delay:" feature and for negative
  timecodes in VobSub IDX files.
  - mmg: bug fix: Re-added Chinese to the list of popular languages
  - mkvmerge: bug fix: The last change to the ISO 639 language
  handling broke the VobSub reader so that it reported the wrong
  language codes. This also caused mmg to not display the correct
  language after adding a VobSub file.
* Wed May 24 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 22 2005 seife@suse.de
- version update to 1.6.5
* Wed Nov 23 2005 seife@suse.de
- added -fno-strict-aliasing
* Mon Nov 21 2005 seife@suse.de
- version update to 1.6.0
* Sun Sep 25 2005 seife@suse.de
- version update to 1.5.6
* Fri Aug 26 2005 seife@suse.de
- version update to 1.5.5
* Tue Jul  5 2005 seife@suse.de
- version update to 1.5.0
* Sun Apr 17 2005 seife@suse.de
- version update to 1.4.2
* Tue Mar  1 2005 seife@suse.de
- version update to 1.4.0
* Mon Feb  7 2005 seife@suse.de
- version update to 1.0.2
* Wed Dec 22 2004 seife@suse.de
- version update to 1.0.1
* Thu Nov 18 2004 seife@suse.de
- version update to 1.0
* Tue Oct 26 2004 seife@suse.de
- version update to 0.9.7
* Mon Sep 13 2004 seife@suse.de
- renamed mmg to mkvmerge-gui (conflict with mupad)
  Made main window resizeable for high resolution displays.
* Wed Sep  1 2004 seife@suse.de
- initial submission
